Description

Supportanfrage

ich habe heute den ersten Programmierfehler durch Verwendung des EasyProfilers behoben.

Allerdings scheint mir die Handhabung noch recht umständlich.

Wie bin ich vorgegangen:

1)     Launcher für den CE konfigurieren

<launcher>

<name>Profiling GUI</name>

<executable>"$(ADTF_DIR)/bin/profiler_gui"</executable>

<workingdirectory>$(ADTF_DIR)/bin</workingdirectory>

</launcher>

<launcher>

<name>in Console for ProfilerGUI</name>

<executable>

"$(ADTF_DIR)/bin/adtf_launcher" -session="$(ADTF_SESSION_FILENAME)" -console -run -profiler

</executable>

<workingdirectory>$(ADTF_DIR)/bin</workingdirectory>

</launcher>

<launcher>

<name>ADTF Control connect to port 8000</name>

<executable>"$(ADTF_DIR)/bin/adtf_control" -c</executable>

<workingdirectory>$(ADTF_DIR)/bin</workingdirectory>

</launcher>

 2)     Alle Launcher starten

3)     Runlevel via ADTF Control senken

4)     Profiler GUI verbinden

5)     Capturing starten

6)     Runlevel heben

7)     Runlevel senken

8)     Capturing stoppen

9)     Manuelle Auswertung der Ergebnisse

Ideen zur Verbesserung:
adtf_control sollte in der Lage sein, adtf_launcher mit Option -profiler zu starten

adtf_control könnte anbieten, die Profiling GUI zu starten und mit der verbundenen Instanz zu verbinden

adtf_configuration_editor könnte anbieten das komplette Toolset (launcher, control und profiler-gui) starten

PS: Weniger Schritte waren es im konkreten Anwendungsfall mit folgender Launcher-Definition:

<launcher>

<name>in Console with Profiling</name>

<executable>

"$(ADTF_DIR)/bin/adtf_launcher" -session="$(ADTF_SESSION_FILENAME)" -console -run -profiler -profi

ler-dump-file="$(ADTF_SESSION_FILENAME).profiling"</executable>

<workingdirectory>$(ADTF_DIR)/bin</workingdirectory>

</launcher>

 Lösung

Finde ich gut:

Die Launcher Definitionen mit -profiler sollten wir auf jeden Fall hinzufügen (aber ohne -profiler-dump-file=).

Das GUI Control sollte auch das Profiling GUI über das Tools Menu starten können.

Problem wir nur die Port Auswahl, aber damit können wir glaub ich leben, wenn es Kollisionen gibt.

Ich hab dafür Ticket ACORE-9533 erstellt.

History

#1 - 2018-05-16 16:21 - hidden

- Project changed from Public Support to 11

- Topic set to ADTF::Profiling

- Customer set to AUDI

- Department set to EX

- Affected Products ADTF 3.3.0 added

Hallo Martin,

sieh Dir bitte mal das Ticket/Feedback von Jens durch.

Danke

#2 - 2018-05-23 13:31 - hidden

- Status changed from New to In Progress

Finde ich gut:

Die Launcher Definitionen mit -profiler sollten wir auf jeden Fall hinzufügen (aber ohne -profiler-dump-file=).

Das GUI Control sollte auch das Profiling GUI über das Tools Menu starten können.

Problem wir nur die Port Auswahl, aber damit können wir glaub ich leben, wenn es Kollisionen gibt.

Ich hab dafür Ticket ACORE-9533 erstellt.

#3 - 2018-05-23 17:09 - hidden

- Project changed from 11 to Public Support

- Subject changed from Erste Codeoptimierung mit EasyProfiler to How to optimize using of Easy Profiling within ADTF (GUI) Control

- Description updated

- Status changed from In Progress to To Be Closed

- Private changed from Yes to No

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9533

- Support Level changed from 2nd Level to 3rd Level
#4 - 2018-06-05 15:25 - hidden

- Status changed from To Be Closed to Closed
